import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:taskservice/Common/JXColors.dart';

class MyScaffold extends StatelessWidget {
  final Widget body;
  final String title;
  MyScaffold({@required this.title, @required this.body});
  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
          appBar: AppBar(
            centerTitle: true,
            title: Text(title),
            backgroundColor: JXColors.k1F2529,
          ),
          body: body,
        ));
  }
}

class SearchBar extends StatefulWidget {
  final Function(String value) onTextChanged;
  final String hint;
  final FocusNode focusNode;
  SearchBar({this.onTextChanged, this.hint, this.focusNode});
  @override
  _SearchBarState createState() => _SearchBarState();
}

class _SearchBarState extends State<SearchBar> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: JXColors.kF0F0F0,
      padding: EdgeInsets.fromLTRB(12.0, 8, 12.0, 8),
      child: Container(
        alignment: Alignment.center,
        decoration: BoxDecoration(
          color: JXColors.kE6E6E6,
          borderRadius: BorderRadius.circular(12.0),
          border: Border.all(color: JXColors.kE6E6E6, width: 1),
        ),
        height: 44.0,
        child: Row(children: <Widget>[
          SizedBox(
            width: 12,
          ),
          Icon(
            Icons.search,
            size: 24.0,
          ),
          SizedBox(
            width: 6,
          ),
          Expanded(
            child: TextField(
              maxLines: 1,
              focusNode: widget.focusNode,
              obscureText: false,
              cursorColor: JXColors.k1F2529,
              decoration: InputDecoration(
                border: InputBorder.none,
                hintText: widget.hint,
                labelStyle: TextStyle(
                  color: JXColors.k2E3032,
                  fontSize: 24.0,
                ),
              ),
              onChanged: widget.onTextChanged,
            ),
          ),
          SizedBox(
            width: 12,
          ),
        ]),
      ),
    );
  }
}
